cURL
curl --request PATCH \ --url https://app.getcensus.com/api/v1/workspaces/{workspace_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "My Workspace", "notification_emails": [ "[email protected]" ] } '
{ "status": "updated", "data": { "id": 123, "name": "My Workspace", "organization_id": 1, "created_at": "2023-09-05T19:42:42.672Z", "notification_emails": [ "[email protected]" ] } }
Update the details of a workspace.
Bearer authorization using your Personal Access Token. Generate a new PAT on your user settings page.
ID of the workspace
The name of the workspace. Must be unique within the organization.
"My Workspace"
The list of emails that will receive alerts from the workspace.
["[email protected]"]
Successfully updated workspace details.
The outcome of the update request
updated
"updated"
Show child attributes
The id of the retrieved workspace.
123
The id of the organization the workspace belongs to.
1
The timestamp of when the workspace was created.
"2023-09-05T19:42:42.672Z"
Was this page helpful?